在进行本次实验之前，一定要按照[《DS Lab 使用手册》](https://www.codecode.net/engintime/ds-lab/book/blob/master/app-manual.md)的内容学习DS Lab的使用方法，在学习的过程中需要掌握以下内容：
- 领取任务
- 将新项目克隆到本地
- 生成项目
- 在演示模式下调试项目
- 验证项目
- 推送项目
- 线上查看任务的完成结果
- 查看当前项目的代码质量分析的结果
- 新建问题
- 添加评论

本项目用于完成[《DS Lab 数据结构实验教程》](https://www.codecode.net/engintime/ds-lab/book)中的 [实验1 实验环境的使用](https://www.codecode.net/engintime/ds-lab/book#实验1-实验环境的使用)
#  阅读实验源代码
**main.c文件**  
在main函数中实现了线性表的初始化，然后调用了两次线性表的插入函数InsertBefore，第一次调用插入成功，第二次调用插入失败。  
在main函数的后面，定义了线性表的插入函数InsertBefor，此函数的函数体还不完整，留给读者完成。   
**LinearList.h文件**      
定义了与线性表相关的数据结构并声明了相关的操作函数。
#  在演示模式下调试项目
**按照下面的步骤调试项目：**
1.	按F7生成项目。
2.	在演示模式下，按F5启动调试项目。程序会在观察点函数的开始位置中断。
3.	重复按F5，直到调试过程结束。

在调试的过程中，每执行“演示流程”窗口中的一行后，仔细观察“可视化数据”窗口所发生的变化，例如线性表元素的复制，游标的移动等，理解在线性表中插入元素的执行过程。  
# 编写源代码并通过验证 
**按照下面的步骤继续实验：**
1.	为InsertBefore函数编写源代码。注意，尽量使用已定义的局部变量。
2.	按F7生成项目。如果生成失败，根据“输出”窗口中的提示信息修改源代码中的语法错误。
3.	按Alt+F5启动验证。如果验证失败，可以使用“输出”窗口中的“比较”功能，或者在“非演示模式”下按F5启动调试后重复按F10单步调试读者编写的源代码，从而定位错误的位置，然后回到步骤1。
	
# 教师参考答案
请教师用户首先访问[教师项目群组](https://www.codecode.net/engintime/ds-lab/teachers-packet),申请权限并审核通过后，再[domain relative url](engintime/ds-lab/teachers-packet/Lab001.git)访问本项目的参考答案

